from enum import Enum


class CapabilityEventType(Enum):
    """
    Enum that specifies the type of CapabilityEvents possible to send
    """

    WorkflowComplete = 0
    QaApproval = 1
    QaDenial = 1
    WorkflowReady = 2
    ProductReady = 3
    ParameterReady = 4
    LargeAllocApproval = 5
    LargeAllocDenial = 5


class WorkflowEventType(Enum):
    """
    Enum that specifies the type of WorkflowEvents possible to send.
    These four are derived from the many kinds that HTCondor can send.
    """

    SUBMITTED = 0
    EXECUTING = 1
    TERMINATED = 5
    OTHER = -1
